Pikseli
GET https://tistos.com/api/pixels/
curl --request GET \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Detalji | Opis |
|---|---|---|
| search | Opcionalno Niz | Pretraživački niz. |
| search_by | Opcionalno Niz | Koje polje pretražujete? Dozvoljene vrijednosti su: name, pixel. |
| type | Opcionalno Niz | Dopuštene vrijednosti: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | Opcionalno Niz | Dopuštene vrijednosti: datetime, last_datetime |
| datetime_start | Opcionalno Niz | Filtrirajte rezultate počevši od ovog datuma i vremena. Format Y-m-d H:i:s. |
| datetime_end | Opcionalno Niz | Filtrirajte rezultate do ovog datuma i vremena. Format Y-m-d H:i:s. |
| order_by | Opcionalno Niz | Koje polje odabrati za sortiranje rezultata. Dozvoljene vrijednosti su: pixel_id, datetime, last_datetime, name. |
| order_type | Opcionalno Niz | Redoslijed rezultata. Dozvoljene vrijednosti su: ASC za uzlazno poredanje, i DESC za silazno poredanje. |
| page | Opcionalno Cijeli broj | Broj stranice s koje želite rezultate. Zadano je 1. |
| results_per_page | Opcionalno Cijeli broj | Koliko rezultata želite po stranici. Dozvoljene vrijednosti su: 10, 25, 50, 100, 250, 500, 1000. Zadano je 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 10:39:53",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/pixels?page=1",
"last": "https://tistos.com/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/pixels?page=1"
}
}
GET https://tistos.com/api/pixels/{pixel_id}
curl --request GET \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-07-18 10:39:53",
}
}
POST https://tistos.com/api/pixels
| Parametri | Detalji | Opis |
|---|---|---|
| type | Obavezno Niz | Dopuštene vrijednosti: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Obavezno Niz | - |
| pixel | Obavezno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://tistos.com/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/pixels/{pixel_id}
| Parametri | Detalji | Opis |
|---|---|---|
| type | Opcionalno Niz | Dopuštene vrijednosti: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | Opcionalno Niz | - |
| pixel | Opcionalno Niz | - |
curl --request POST \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \